# Class CatchErrors

#### Hierarchy

- Component<{
  children: any;
  error?: any;
  errorRenderer?: ((error: Error, reset: (() => any)) => React.ReactNode);
  onMounted?: ((setError: ((error?: any) => void)) => void);
  reset?: (() => any);
  }, any>
  - CatchErrors

- Defined in work/deeplinks/deeplinks/imports/client-handler.tsx:8

#####
Index

### Constructors

constructor

### Properties

context
props
refs
reset
state
contextType?

### Methods

componentDidCatch
componentDidMount?
componentDidMounted
componentDidUpdate?
componentWillMount?
componentWillReceiveProps?
componentWillUnmount?
componentWillUpdate?
errorRenderer
forceUpdate
getSnapshotBeforeUpdate?
render
setState
shouldComponentUpdate?
UNSAFE_componentWillMount?
UNSAFE_componentWillReceiveProps?
UNSAFE_componentWillUpdate?
getDerivedStateFromError

##
Constructors

### constructor

- new CatchErrors(props): CatchErrors

- #### Parameters

  - props: any

  #### Returns CatchErrors

  Overrides React.Component<{ error?: any; onMounted?: (setError: (error?: any) => void) => void; errorRenderer?: (error: Error, reset: () => any) => React.ReactNode; reset?: () => any; children: any; },any>.constructor

  - Defined in work/deeplinks/deeplinks/imports/client-handler.tsx:17

##
Properties

### context

context: unknown

If using the new style context, re-declare this in your class to be the `React.ContextType` of your `static contextType`. Should be used with type annotation or static contextType.

#### Example

    static contextType = MyContext
    // For TS pre-3.7:
    context!: React.ContextType<typeof MyContext>
    // For TS 3.7 and above:
    declare context: React.ContextType<typeof MyContext>

#### See

React Docs

Inherited from React.Component.context

- Defined in work/deeplinks/deeplinks/node_modules/@types/react/index.d.ts:1000

### `Readonly` props

props: Readonly<{
children: any;
error?: any;
errorRenderer?: ((error: Error, reset: (() => any)) => ReactNode);
onMounted?: ((setError: ((error?: any) => void)) => void);
reset?: (() => any);
}>

Inherited from React.Component.props

- Defined in work/deeplinks/deeplinks/node_modules/@types/react/index.d.ts:1020

### refs

refs: {
[key: string]: ReactInstance;
}

#### Deprecated

#### See

Legacy React Docs

Inherited from React.Component.refs

- Defined in work/deeplinks/deeplinks/node_modules/@types/react/index.d.ts:1027

### reset

reset: (() => any)

- Defined in work/deeplinks/deeplinks/imports/client-handler.tsx:15

### state

state: Readonly<any>

Inherited from React.Component.state

- Defined in work/deeplinks/deeplinks/node_modules/@types/react/index.d.ts:1021

### `Static` `Optional` contextType

contextType?: Context<any>

If set, `this.context` will be set at runtime to the current value of the given Context.

#### Example

    type MyContext = number
    const Ctx = React.createContext<MyContext>(0)

    class Foo extends React.Component {
      static contextType = Ctx
      context!: React.ContextType<typeof Ctx>
      render () {
        return <>My context's value: {this.context}</>;
      }
    }

#### See

https://react.dev/reference/react/Component#static-contexttype

Inherited from React.Component.contextType

- Defined in work/deeplinks/deeplinks/node_modules/@types/react/index.d.ts:982

##
Methods

### componentDidCatch

- componentDidCatch(error, errorInfo): void

- Catches exceptions generated in descendant components. Unhandled exceptions will cause the entire component tree to unmount.

  #### Parameters

  - error: any
  - errorInfo: any

  #### Returns void

  Overrides React.Component.componentDidCatch

  - Defined in work/deeplinks/deeplinks/imports/client-handler.tsx:31

### `Optional` componentDidMount

- componentDidMount(): void

- Called immediately after a component is mounted. Setting state here will trigger re-rendering.

  #### Returns void

  Inherited from React.Component.componentDidMount

  - Defined in work/deeplinks/deeplinks/node_modules/@types/react/index.d.ts:1363

### componentDidMounted

- componentDidMounted(): void

- #### Returns void

  - Defined in work/deeplinks/deeplinks/imports/client-handler.tsx:34

### `Optional` componentDidUpdate

- componentDidUpdate(prevProps, prevState, snapshot?): void

- Called immediately after updating occurs. Not called for the initial render.

  The snapshot is only present if getSnapshotBeforeUpdate is present and returns non-null.

  #### Parameters

  - prevProps: Readonly<{
    children: any;
    error?: any;
    errorRenderer?: ((error: Error, reset: (() => any)) => ReactNode);
    onMounted?: ((setError: ((error?: any) => void)) => void);
    reset?: (() => any);
    }>
  - prevState: Readonly<any>
  - `Optional` snapshot: any

  #### Returns void

  Inherited from React.Component.componentDidUpdate

  - Defined in work/deeplinks/deeplinks/node_modules/@types/react/index.d.ts:1426

### `Optional` componentWillMount

- componentWillMount(): void

- Called immediately before mounting occurs, and before Component.render. Avoid introducing any side-effects or subscriptions in this method.

  Note: the presence of NewLifecycle.getSnapshotBeforeUpdate getSnapshotBeforeUpdate or StaticLifecycle.getDerivedStateFromProps getDerivedStateFromProps prevents this from being invoked.

  #### Returns void

  #### Deprecated

  16.3, use ComponentLifecycle.componentDidMount componentDidMount or the constructor instead; will stop working in React 17

  #### See

  - https://legacy.reactjs.org/blog/2018/03/27/update-on-async-rendering.html#initializing-state
  - https://legacy.reactjs.org/blog/2018/03/27/update-on-async-rendering.html#gradual-migration-path

  Inherited from React.Component.componentWillMount

  - Defined in work/deeplinks/deeplinks/node_modules/@types/react/index.d.ts:1442

### `Optional` componentWillReceiveProps

- componentWillReceiveProps(nextProps, nextContext): void

- Called when the component may be receiving new props. React may call this even if props have not changed, so be sure to compare new and existing props if you only want to handle changes.

  Calling Component.setState generally does not trigger this method.

  Note: the presence of NewLifecycle.getSnapshotBeforeUpdate getSnapshotBeforeUpdate or StaticLifecycle.getDerivedStateFromProps getDerivedStateFromProps prevents this from being invoked.

  #### Parameters

  - nextProps: Readonly<{
    children: any;
    error?: any;
    errorRenderer?: ((error: Error, reset: (() => any)) => ReactNode);
    onMounted?: ((setError: ((error?: any) => void)) => void);
    reset?: (() => any);
    }>
  - nextContext: any

  #### Returns void

  #### Deprecated

  16.3, use static StaticLifecycle.getDerivedStateFromProps getDerivedStateFromProps instead; will stop working in React 17

  #### See

  - https://legacy.reactjs.org/blog/2018/03/27/update-on-async-rendering.html#updating-state-based-on-props
  - https://legacy.reactjs.org/blog/2018/03/27/update-on-async-rendering.html#gradual-migration-path

  Inherited from React.Component.componentWillReceiveProps

  - Defined in work/deeplinks/deeplinks/node_modules/@types/react/index.d.ts:1473

### `Optional` componentWillUnmount

- componentWillUnmount(): void

- Called immediately before a component is destroyed. Perform any necessary cleanup in this method, such as cancelled network requests, or cleaning up any DOM elements created in `componentDidMount`.

  #### Returns void

  Inherited from React.Component.componentWillUnmount

  - Defined in work/deeplinks/deeplinks/node_modules/@types/react/index.d.ts:1379

### `Optional` componentWillUpdate

- componentWillUpdate(nextProps, nextState, nextContext): void

- Called immediately before rendering when new props or state is received. Not called for the initial render.

  Note: You cannot call Component.setState here.

  Note: the presence of NewLifecycle.getSnapshotBeforeUpdate getSnapshotBeforeUpdate or StaticLifecycle.getDerivedStateFromProps getDerivedStateFromProps prevents this from being invoked.

  #### Parameters

  - nextProps: Readonly<{
    children: any;
    error?: any;
    errorRenderer?: ((error: Error, reset: (() => any)) => ReactNode);
    onMounted?: ((setError: ((error?: any) => void)) => void);
    reset?: (() => any);
    }>
  - nextState: Readonly<any>
  - nextContext: any

  #### Returns void

  #### Deprecated

  16.3, use getSnapshotBeforeUpdate instead; will stop working in React 17

  #### See

  - https://legacy.reactjs.org/blog/2018/03/27/update-on-async-rendering.html#reading-dom-properties-before-an-update
  - https://legacy.reactjs.org/blog/2018/03/27/update-on-async-rendering.html#gradual-migration-path

  Inherited from React.Component.componentWillUpdate

  - Defined in work/deeplinks/deeplinks/node_modules/@types/react/index.d.ts:1505

### errorRenderer

- errorRenderer(error, reset): Element

- #### Parameters

  - error: any
  - reset: any

  #### Returns Element

  - Defined in work/deeplinks/deeplinks/imports/client-handler.tsx:38

### forceUpdate

- forceUpdate(callback?): void

- #### Parameters

  - `Optional` callback: (() => void)
    - - (): void

      - #### Returns void

  Inherited from React.Component.forceUpdate

  - Defined in work/deeplinks/deeplinks/node_modules/@types/react/index.d.ts:1017

### `Optional` getSnapshotBeforeUpdate

- getSnapshotBeforeUpdate(prevProps, prevState): any

- Runs before React applies the result of Component.render render to the document, and returns an object to be given to componentDidUpdate. Useful for saving things such as scroll position before Component.render render causes changes to it.

  Note: the presence of this method prevents any of the deprecated lifecycle events from running.

  #### Parameters

  - prevProps: Readonly<{
    children: any;
    error?: any;
    errorRenderer?: ((error: Error, reset: (() => any)) => ReactNode);
    onMounted?: ((setError: ((error?: any) => void)) => void);
    reset?: (() => any);
    }>
  - prevState: Readonly<any>

  #### Returns any

  Inherited from React.Component.getSnapshotBeforeUpdate

  - Defined in work/deeplinks/deeplinks/node_modules/@types/react/index.d.ts:1420

### render

- render(): any

- #### Returns any

  Overrides React.Component.render

  - Defined in work/deeplinks/deeplinks/imports/client-handler.tsx:40

### setState

- setState<K>(state, callback?): void

- #### Type Parameters

  - K extends string | number | symbol

  #### Parameters

  - state: any
  - `Optional` callback: (() => void)
    - - (): void

      - #### Returns void

  Inherited from React.Component.setState

  - Defined in work/deeplinks/deeplinks/node_modules/@types/react/index.d.ts:1012

### `Optional` shouldComponentUpdate

- shouldComponentUpdate(nextProps, nextState, nextContext): boolean

- Called to determine whether the change in props and state should trigger a re-render.

  `Component` always returns true. `PureComponent` implements a shallow comparison on props and state and returns true if any props or states have changed.

  If false is returned, Component.render, `componentWillUpdate` and `componentDidUpdate` will not be called.

  #### Parameters

  - nextProps: Readonly<{
    children: any;
    error?: any;
    errorRenderer?: ((error: Error, reset: (() => any)) => ReactNode);
    onMounted?: ((setError: ((error?: any) => void)) => void);
    reset?: (() => any);
    }>
  - nextState: Readonly<any>
  - nextContext: any

  #### Returns boolean

  Inherited from React.Component.shouldComponentUpdate

  - Defined in work/deeplinks/deeplinks/node_modules/@types/react/index.d.ts:1374

### `Optional` UNSAFE_componentWillMount

- UNSAFE_componentWillMount(): void

- Called immediately before mounting occurs, and before Component.render. Avoid introducing any side-effects or subscriptions in this method.

  This method will not stop working in React 17.

  Note: the presence of NewLifecycle.getSnapshotBeforeUpdate getSnapshotBeforeUpdate or StaticLifecycle.getDerivedStateFromProps getDerivedStateFromProps prevents this from being invoked.

  #### Returns void

  #### Deprecated

  16.3, use ComponentLifecycle.componentDidMount componentDidMount or the constructor instead

  #### See

  - https://legacy.reactjs.org/blog/2018/03/27/update-on-async-rendering.html#initializing-state
  - https://legacy.reactjs.org/blog/2018/03/27/update-on-async-rendering.html#gradual-migration-path

  Inherited from React.Component.UNSAFE_componentWillMount

  - Defined in work/deeplinks/deeplinks/node_modules/@types/react/index.d.ts:1457

### `Optional` UNSAFE_componentWillReceiveProps

- UNSAFE_componentWillReceiveProps(nextProps, nextContext): void

- Called when the component may be receiving new props. React may call this even if props have not changed, so be sure to compare new and existing props if you only want to handle changes.

  Calling Component.setState generally does not trigger this method.

  This method will not stop working in React 17.

  Note: the presence of NewLifecycle.getSnapshotBeforeUpdate getSnapshotBeforeUpdate or StaticLifecycle.getDerivedStateFromProps getDerivedStateFromProps prevents this from being invoked.

  #### Parameters

  - nextProps: Readonly<{
    children: any;
    error?: any;
    errorRenderer?: ((error: Error, reset: (() => any)) => ReactNode);
    onMounted?: ((setError: ((error?: any) => void)) => void);
    reset?: (() => any);
    }>
  - nextContext: any

  #### Returns void

  #### Deprecated

  16.3, use static StaticLifecycle.getDerivedStateFromProps getDerivedStateFromProps instead

  #### See

  - https://legacy.reactjs.org/blog/2018/03/27/update-on-async-rendering.html#updating-state-based-on-props
  - https://legacy.reactjs.org/blog/2018/03/27/update-on-async-rendering.html#gradual-migration-path

  Inherited from React.Component.UNSAFE_componentWillReceiveProps

  - Defined in work/deeplinks/deeplinks/node_modules/@types/react/index.d.ts:1491

### `Optional` UNSAFE_componentWillUpdate

- UNSAFE_componentWillUpdate(nextProps, nextState, nextContext): void

- Called immediately before rendering when new props or state is received. Not called for the initial render.

  Note: You cannot call Component.setState here.

  This method will not stop working in React 17.

  Note: the presence of NewLifecycle.getSnapshotBeforeUpdate getSnapshotBeforeUpdate or StaticLifecycle.getDerivedStateFromProps getDerivedStateFromProps prevents this from being invoked.

  #### Parameters

  - nextProps: Readonly<{
    children: any;
    error?: any;
    errorRenderer?: ((error: Error, reset: (() => any)) => ReactNode);
    onMounted?: ((setError: ((error?: any) => void)) => void);
    reset?: (() => any);
    }>
  - nextState: Readonly<any>
  - nextContext: any

  #### Returns void

  #### Deprecated

  16.3, use getSnapshotBeforeUpdate instead

  #### See

  - https://legacy.reactjs.org/blog/2018/03/27/update-on-async-rendering.html#reading-dom-properties-before-an-update
  - https://legacy.reactjs.org/blog/2018/03/27/update-on-async-rendering.html#gradual-migration-path

  Inherited from React.Component.UNSAFE_componentWillUpdate

  - Defined in work/deeplinks/deeplinks/node_modules/@types/react/index.d.ts:1521

### `Static` getDerivedStateFromError

- getDerivedStateFromError(error): {
  error: any;
  }

- #### Parameters

  - error: any

  #### Returns {
  error: any;
  }

  - ##### error: any

  - Defined in work/deeplinks/deeplinks/imports/client-handler.tsx:27